// ---------------------------------------------------------------------------
//	M88 - PC-88 Emulator.
//	Copyright (C) cisc 1998.
// ---------------------------------------------------------------------------
//  DMAC (uPD8257) ̃G~[V
// ---------------------------------------------------------------------------
//	$Id: DMAC.h,v 1.2 1999/01/11 15:32:08 cisc Exp $

#if !defined(AFX_DMAC_H__8E5D1437_291B_11D1_A283_A086A6A721AF__INCLUDED_)
#define AFX_DMAC_H__8E5D1437_291B_11D1_A283_A086A6A721AF__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Device.h"

class DMAC : protected Device  
{
public:
	DMAC();
	virtual ~DMAC();

	uint8 In(uint d);
	void Out(uint d, uint p);
	void Reset();
	bool Request(uint bank, uint16 * a, uint16 * c, bool write);
	bool Enabled(uint bank) { return enabled[bank & 3]; }

private:
	bool autoinit;
	bool enabled[4];
	uint16 addr[4];
	uint16 count[4];
	uint16 ptr[4];
	bool ff;
};

#endif // !defined(AFX_DMAC_H__8E5D1437_291B_11D1_A283_A086A6A721AF__INCLUDED_)
