// ---------------------------------------------------------------------------
//	M88 - PC-88 Emulator.
//	Copyright (C) cisc 1998.
// ---------------------------------------------------------------------------
//	ufoCXv̊{`
// ---------------------------------------------------------------------------
//	$Id: Device.h,v 1.2 1999/01/11 15:32:08 cisc Exp $

#if !defined(AFX_DEVICE_H__8E5D1435_291B_11D1_A283_A086A6A721AF__INCLUDED_)
#define AFX_DEVICE_H__8E5D1435_291B_11D1_A283_A086A6A721AF__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "config.h"

class Device  
{
public:
	virtual ~Device() {}

	virtual uint8 In(uint) = 0;
	virtual void Out(uint, uint) = 0;
	virtual void Reset() {}

	virtual void RequestPendingInterrupt() {}
};

class Memory
{
public:
	virtual ~Memory() {}
	
	virtual uint8 Read(uint) = 0;
	virtual void Write(uint, uint) = 0;
};

#endif // !defined(AFX_DEVICE_H__8E5D1435_291B_11D1_A283_A086A6A721AF__INCLUDED_)
