// ---------------------------------------------------------------------------
//	M88 - PC-88 Emulator.
//	Copyright (C) cisc 1998.
// ---------------------------------------------------------------------------
//  FDIF p PIO (8255) ̃G~[V
// ---------------------------------------------------------------------------
//	$Id: FDIF_PIO.h,v 1.2 1999/01/11 15:32:08 cisc Exp $

#ifndef FDIF_PIO_H
#define FDIF_PIO_H

#include "Device.h"

class FDIF_PIO : public Device
{
private:
	uint8 port[4];
	uint8 readmask[4];
	FDIF_PIO* partner;

public:
	FDIF_PIO() { Reset(); }
	void Connect(FDIF_PIO* p) { partner = p; }
	void Reset() { port[0] = port[1] = port[2] = 0; Out(3, 0); }

	uint8 In(uint adr);
	void Out(uint adr, uint data);
	uint8 Port(uint num) { return port[num]; }
};

#endif // FDIF_PIO_H
