// ---------------------------------------------------------------------------
//	M88 - PC-88 Emulator.
//	Copyright (C) cisc 1998.
// ---------------------------------------------------------------------------
//  FDU ȈՃo[W
// ---------------------------------------------------------------------------
//	$Id: FDU0.h,v 1.2 1999/01/11 15:32:08 cisc Exp $

#ifndef FDU0_H
#define FDU0_H

//#include <stdio.h>
#include "FDU.h"
#include "File.h"

// ---------------------------------------------------------------------------
//	FDU0
//	N=1 16 ZN^̃tbs[C[WɑΉ FDU NX
//
class FDU0 : public FDU
{
public:
	FDU0();
	~FDU0();

	bool Mount(FileIO* fio);
	bool Unmount();
	Result ReadSector(uint8 head, ID id, uint8* data);
	Result WriteSector(uint8 head, ID id, const uint8* data, bool);
	Result Seek(uint8 cyrinder);
	uint8 SenceDeviceStatus();
	Result ReadID(uint8 head, ID* id);
	Result WriteID(uint8 head, WIDDESC wid);

private:
	FileIO* file;
	int idpos;
	uint8 currentcyrinder;
	uint8 head;
	bool writeprotected;
};

#endif // FDU0_H
