// ---------------------------------------------------------------------------
//	M88 - PC-88 Emulator.
//	Copyright (C) cisc 1998.
// ---------------------------------------------------------------------------
//  qnlfoCX̃G~[V
// ---------------------------------------------------------------------------
//	$Id: KanjiROM.cpp,v 1.2 1999/01/11 15:32:10 cisc Exp $

#include "KanjiROM.h"

// ---------------------------------------------------------------------------
//	\z/
// ---------------------------------------------------------------------------

KanjiROM::KanjiROM(uint8* rom) : romimage(rom)
{
	adr = 0;
}

KanjiROM::~KanjiROM()
{

}

// ---------------------------------------------------------------------------
//	I/O
// ---------------------------------------------------------------------------

void KanjiROM::Out(uint p, uint d)
{
	switch (p & 3)
	{
	case 0:
		adr = (adr & ~0xff) | d;
		return;
	case 1:
		adr = (adr & 0xff) | (d * 0x100);
		return;
	}
}

uint8 KanjiROM::In(uint p)
{
	switch (p & 3)
	{
	case 0:
		return romimage[adr * 2 + 1];
	case 1:
		return romimage[adr * 2];
	}
	return 0xff;
}
