// ---------------------------------------------------------------------------
//  M88 - PC88 emulator
//	Copyright (C) cisc 1998.
// ---------------------------------------------------------------------------
//	About Dialog Box for M88
//	$Id: M88About.cpp,v 1.4 1999/02/27 15:41:50 cisc Exp $

#define STRICT
#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#include "resource.h"
#include "M88About.h"

// ---------------------------------------------------------------------------
//	\z/
// ---------------------------------------------------------------------------

M88About::M88About()
{
	dlgproc.SetDestination(DlgProcGate, this);
}

M88About::~M88About()
{
}

// ---------------------------------------------------------------------------

void M88About::Show(HINSTANCE hinst, HWND hwndparent)
{
	DialogBox(hinst, MAKEINTRESOURCE(IDD_ABOUT), 
				hwndparent, DLGPROC((void*) dlgproc)); 
}

// ---------------------------------------------------------------------------

BOOL M88About::DlgProc(HWND hdlg, UINT msg, WPARAM wp, LPARAM lp)
{
	switch (msg)
	{
	case WM_INITDIALOG:
		{
			char buf[256];
			wsprintf(buf, "M88 for Win (" __DATE__ "/19e)\n"
						  "PC-8801 series emulator\n"
						  "Copyright (C) 1998 cisc.\n" );
		
			SetDlgItemText(hdlg, IDC_ABOUT_TEXT, buf);
			SetFocus(GetDlgItem(hdlg, IDOK));
			return 0;
		}

	case WM_COMMAND:
		if (IDOK == LOWORD(wp))
		{
			EndDialog(hdlg, true);
			break;
		}
		return true;

	case WM_CLOSE:
		EndDialog(hdlg, false);
		return true;

	default:
		return false;
	}
	return false;
}

BOOL _cdecl M88About::DlgProcGate
(M88About* about, HWND hwnd, UINT m, WPARAM w, LPARAM l)
{
	return about->DlgProc(hwnd, m, w, l);
}
