// ---------------------------------------------------------------------------
//	M88 - PC-88 Emulator
//	Copyright (C) cisc 1997, 1998.
// ---------------------------------------------------------------------------
//	PSG+BEEP Implementation
// ---------------------------------------------------------------------------
//	$Id: PSGB.h,v 1.2 1999/01/11 15:32:13 cisc Exp $

#ifndef PSGB_H
#define PSGB_H

#include "PSG.h"

// ---------------------------------------------------------------------------

class PSGB : public PSG
{
public:
	PSGB();
	~PSGB();
	bool Init(uint rate);
	void EmitWave(Sample* dest, int nsamples, uint32 bp, uint32 pp, uint p40);
	void EmitWaveDCh(Sample* dest, int nsamples, uint32 bp, uint32 pp, uint p40);

private:
	uint32 pcount;
	uint32 bcount;
	uint32 bbcount;
	uint32 bbperiod;
};

#endif
