// ---------------------------------------------------------------------------
//  M88 - PC88 emulator
//  Copyright (C) cisc 1998.
// ---------------------------------------------------------------------------
//	ʕ`֌W
// ---------------------------------------------------------------------------
//	$Id: WinDraw.h,v 1.2 1999/01/11 15:32:15 cisc Exp $

#if !defined(AFX_WINDRAW_H__2D06F6B4_4922_11D2_BDB9_00A0C90AC9DA__INCLUDED_)
#define AFX_WINDRAW_H__2D06F6B4_4922_11D2_BDB9_00A0C90AC9DA__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "config.h"

// ---------------------------------------------------------------------------

class WinDraw  
{
public:
	WinDraw() { image = 0; }
	virtual ~WinDraw() {}

	virtual bool Init(HWND hwnd) = 0;
	virtual bool Cleanup() = 0;
	virtual void SetPalette(PALETTEENTRY* pal) = 0;
	virtual void QueryNewPalette() = 0;
	virtual void UpdateScreen(int top, int bottom, bool refresh) = 0;

	virtual bool Lock(uint8** pimage, int* pbpl) = 0;
	virtual bool Unlock() = 0;

	virtual void SetGUIMode(bool gui) { }

protected:
	uint8* image;
	uint bpl;
};

#endif // !defined(AFX_WINDRAW_H__2D06F6B4_4922_11D2_BDB9_00A0C90AC9DA__INCLUDED_)
