// ---------------------------------------------------------------------------
//  M88 - PC88 emulator
//  Copyright (C) cisc 1998.
// ---------------------------------------------------------------------------
//	GDI ɂʕ`
// ---------------------------------------------------------------------------
//	$Id: WinDrawGDI.h,v 1.2 1999/01/11 15:32:16 cisc Exp $

#if !defined(AFX_WINDRAWGDI_H__2D06F6B6_4922_11D2_BDB9_00A0C90AC9DA__INCLUDED_)
#define AFX_WINDRAWGDI_H__2D06F6B6_4922_11D2_BDB9_00A0C90AC9DA__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

// ---------------------------------------------------------------------------

#include "WinDraw.h"

class WinDrawGDI : public WinDraw  
{
public:
	WinDrawGDI();
	~WinDrawGDI();

	bool Init(HWND hwnd);
	bool Cleanup();
	void SetPalette(PALETTEENTRY* pal);
	void QueryNewPalette();
	void UpdateScreen(int top, int bottom, bool refresh);
	bool Lock(uint8** pimage, int* pbpl);
	bool Unlock();

private:
	struct BI256		// BITMAPINFO
	{
		BITMAPINFOHEADER header;
		RGBQUAD colors[256];
	};

private:
	bool MakeBitmap();
	
	HBITMAP hbitmap;
	uint8* bitmapimage;
	HWND hwnd;
	uint8* image; 
	int bpl;
	bool updatepal;
	BI256 binfo;
};

#endif // !defined(AFX_WINDRAWGDI_H__2D06F6B6_4922_11D2_BDB9_00A0C90AC9DA__INCLUDED_)
