// ---------------------------------------------------------------------------
//	M88 - PC-88 Emulator
//	Copyright (C) cisc 1998.
// ---------------------------------------------------------------------------
//	Joystick Implementation for Win32
// ---------------------------------------------------------------------------
//	$Id: WinMouse.h,v 1.2 1999/01/11 15:32:18 cisc Exp $

#if !defined(WINMOUSE_H)
#define WINJOY_H

#include "Device.h"

class Config;

class WinMouse : public Device  
{
public:
	WinMouse();
	~WinMouse();
	bool Init();
	
	void Reset();
	void Out(uint port, uint data);
	uint8 In(uint port);
	void ApplyConfig(const Config* config);
	void VSync() { paravalid = false; }

private:
	bool enabled;
};

#endif // !defined(WINMOUSE_H)
