// ---------------------------------------------------------------------------
//	M88 - PC-88 Emulator.
//	Copyright (C) cisc 1998.
// ---------------------------------------------------------------------------
//	$Id: misc.h,v 1.2 1999/01/11 15:32:20 cisc Exp $

#ifndef MISC_H
#define MISC_H

#undef max
#undef min

inline int Max(int x, int y) { return (x > y) ? x : y; }
inline int Min(int x, int y) { return (x < y) ? x : y; }
inline int Abs(int x) { return x >= 0 ? x : -x; }
inline int Limit(int v, int max, int min) { return v > max ? max : (v < min ? min : v); }

#endif // MISC_H

