// ---------------------------------------------------------------------------
//	M88 - PC-88 Emulator.
//	Copyright (C) cisc 1998.
// ---------------------------------------------------------------------------
//  J_v(PD1990) ̃G~[V for Win32
// ---------------------------------------------------------------------------
//	$Id: Calender.h,v 1.2 1999/01/11 15:32:07 cisc Exp $

#if !defined(AFX_CALENDER_H__960DB3E1_2FCE_11D1_A2A3_B0F9B9EEF8A6__INCLUDED_)
#define AFX_CALENDER_H__960DB3E1_2FCE_11D1_A2A3_B0F9B9EEF8A6__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Device.h"

class Calender : public Device  
{
public:
	Calender(); 
	~Calender();

	void Out(uint port, uint date);
	uint8 In(uint port);
	void Reset();

private:
	void ShiftData();
	uint8 BCD(uint8 n);
	void Command();

	void SetTime();
	void GetTime();

	FILETIME diff;

	bool dataoutmode;
	bool hold;
	uint8 datain;
	uint8 strobe;
	uint8 cmd, scmd, pcmd;
	uint8 reg[6];
};

#endif // !defined(AFX_CALENDER_H__960DB3E1_2FCE_11D1_A2A3_B0F9B9EEF8A6__INCLUDED_)
