// ---------------------------------------------------------------------------
//	M88 - PC-88 Emulator
//	Copyright (C) cisc 1998.
// ---------------------------------------------------------------------------
//	Joystick Implementation for Win32
// ---------------------------------------------------------------------------
//	$Id: WinJoy.h,v 1.2 1999/01/11 15:32:17 cisc Exp $

#if !defined(AFX_WINJOY_H__044E25AF_4D36_11D2_BDD0_00A0C90AC9DA__INCLUDED_)
#define AFX_WINJOY_H__044E25AF_4D36_11D2_BDD0_00A0C90AC9DA__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Device.h"

class Config;

class WinJoyPad : public Device  
{
public:
	WinJoyPad();
	~WinJoyPad();
	bool Init();
	
	void Reset() {}
	void Out(uint port, uint data) {}
	uint8 In(uint port);
	void ApplyConfig(const Config* config);
	void VSync() { paravalid = false; }

private:
	bool enabled;
	bool paravalid;
	uint8 button1, button2;
	uint8 data[2];
	uint threshold;
};

#endif // !defined(AFX_WINJOY_H__044E25AF_4D36_11D2_BDD0_00A0C90AC9DA__INCLUDED_)
